Skip to content

Contact Lists (Collection)

Endpoint

Method URL
GET /contact_lists

GET /contact_lists

Parameter Type Description
page int Result page. Defaults to 1.
pagesize int Max per page. Range [10, 100]. Defaults to 10.
sort string Any contact list field for sorting. Defaults to name.
q string Search string filter.

Returns: The contact list collection.

Example:

curl -u "username:api_key" -H "Accept: application/json" \
  "https://app.duo.pt/contact_lists?page=1&pagesize=10"

Response:

{
  "success": true,
  "data": {
    "pageCount": 1,
    "contactLists": [
      {
        "id": 1,
        "owner": 1,
        "name": "Example...",
        "default_email_out": null,
        "unsubscribe_message": "You have been unsubscribed.",
        "email_out_custom_fields": null,
        "double_optin": false,
        "optout_allowed": false,
        "optout_category": null,
        "optin_email": null,
        "optin_sms": null,
        "shared_with_children": false,
        "read_shared_with_children": false,
        "segments": null
      }
    ],
    "success": true,
    "page": 1
  }
}